/*
Header    : hwio.h
Projekt   : XCTL
Subsystem : Detektoren
Autor     : Jan Picard <picard@informatik.hu-berlin.de> 2001-2001
						Institut fuer Informatik,
						Humboldt-Universitaet Berlin
Inhalt    : Interface der Klasse TIOPort
*/

#ifndef __HWIO_H
#define __HWIO_H

// TIOPort kapselt die Kommunikation ber einen IO-Port.
// Die DWord-Funktionen stehen unter BC+Win16 nicht zur
// Verfuegung.
class TIOPort {

private:
	unsigned int port;

public:

	TIOPort(unsigned int p);

	int            readByte(void);
	unsigned short readWord(void);
//	unsigned long  readDWord(void);

	void           writeByte (int);
	void           writeWord (unsigned short);
//	void           writeDWord(unsigned long);

};

#endif // #ifndef __HWIO_H
